[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarTypeIsValidArrayType

Check if a variant type can be used in an array

## Declaration

Source position: variants.pp line 141

`function VarTypeIsValidArrayType(`
`const aVarType: tvartype`
`):Boolean;`

## Arguments

`aVarType` |  | Variant type to test

## Function result

True if the variant type can be used for an array element

## Description

VarTypeIsValidArrayType checks if the variant type aVarType can be used as the type of a variant array. It returns True if it is usable, false otherwise. Currently, the following types are valid: SmallInt, Integer, Single, Double, Date, Currency, OleStr, Dispatch, Error, Boolean, Variant, Unknown (interface IUnknown), ShortInt, Byte, Word, LongWord.

## See also

VarIsArray |  | Check whether a variant is an array
VarTypeIsValidElementType |  | Check if a variant type can be used in an array